<template>
  <div class="table-container">
    <div class="table-col" v-for="(item, index) in settings.cols" :key="index+'-col'">
        <ext-link :linkProps="item.linkProps">
          <div class="table-row col-header">
            <p>
                {{item.header}}
            </p>
          </div>
        </ext-link>
      <div class="row-divider"></div>
      <template v-for="(rowItem, rindex) in item.rows">
        <div class="table-row" :key="rindex+'-'+index+'-col'">
          <p :style="{color: rowItem.color}">{{rowItem.text}}</p>
        </div>
        <div 
          v-if="rindex !== item.rows.length - 1" class="row-divider" 
          :key="rindex+'-'+index+'-divider'">
        </div>
      </template>
    </div>
  </div>
</template>

<script>
export default {
  props: [
    'settings'
  ]
}
</script>

<style lang="scss" scoped>
.table-container {
  display: flex;
  justify-content: center;
  background: $thor-dark-color;
  padding: 2rem;
  border-radius: 1.5rem;

  .table-col {
    .table-row {
      height: 3.375rem;
      display: flex;
      align-items: center;
      justify-content: center;
      border-top: 2px solid $thor-divider-border-color;
      border-bottom: 2px solid $thor-divider-border-color;
      padding: 0rem 1rem;
      font-size: 1.125rem;
      color: $thor-white-font-color;
    }

    &:first-of-type .table-row {
      padding-right: 0;
      border-radius: .5rem 0 0 .5rem;
      border-left: 2px solid $thor-divider-border-color;
      justify-content: initial;

      &.col-header {
        color: $thor-white-color;
        border-color: $thor-blue-color;
        pointer-events: none;
      }
    }

    &:last-of-type .table-row {
      border-radius: 0 .5rem .5rem 0;
      border-right: 2px solid $thor-divider-border-color;

      &.col-header {
        border-color: $thor-blue-color;
      }
    }

    .col-header {
      position: sticky;
      top: 2rem;
      background: $thor-dark-color;
      cursor: pointer;
      border-color: $thor-blue-color;
      color: $thor-blue-color;
      font-weight: 500;

      &:hover {
        color: $thor-semi-dark-color;
        background: $thor-blue-color;
      }
    }
  }

  p {
    white-space: nowrap;
  }

  .row-divider {
    height: 1.25rem;
  }
}
</style>